Get files (bulk)

Fetch details for a known set of files in a single request, returning partial results.
Between 1 and 50 unique file IDs may be provided. Each ID may be a Frame.io UUID or an adobe:-prefixed Adobe ID.
All files must belong to the same project; a request spanning multiple projects fails with 422.
Rate Limits: 60 calls per 1.00 minute(s) per account_user

Autenticación

AuthorizationBearer

Autenticación de portador de la forma Bearer <token>, donde token es tu token de autenticación.

Parámetros de ruta

account_idstringRequerido
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).

Encabezados

api-versionenumRequerido
Valores permitidos:

Parámetros de consulta

includeenumOpcional
Supported include query parameter values for endpoints that return files with media links

Solicitud

Request body
dataobjectRequerido

Encabezados de respuesta

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Respuesta

OK
datalist of objects

Errores

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error